<?php

/**
 * Export Template Page
 * 
 * PHP version 5.6.23 | 7.2.12
 * 
 * @category  PLugins
 * @package   Wordpress
 * @author    Pejman Kheyri <pejmankheyri@gmail.com>
 * @copyright 2018 The Ide Pardazan (ipe.ir) PHP Group. All rights reserved.
 * @license   https://sms.ir/ ipe license
 * @version   IPE: 3.0
 * @link      https://sms.ir/ Documentation of sms.ir Wordpress Plugin.
 */

?>

<div class="wrap">
    <h2><?php _e('Export', 'wordpress_smsir'); ?></h2>
    <form id="export-filters" method="post" action="<?php echo WORDPRESS_SMSIR_DIR_PLUGIN.'includes/admin/wordpress_smsir-export.php'; ?>">
        <table>
            <tr valign="top">
                <th scope="row">
                    <label for="export-file-type"><?php _e('Export To', 'wordpress_smsir'); ?>:</label>
                </th>
                <td>
                    <select id="export-file-type" name="export-file-type">
                        <option value="0"><?php _e('Please select.', 'wordpress_smsir'); ?></option>
                        <option value="excel">Excel</option>
                        <option value="xml">XML</option>
                    </select>
                    <p class="description"><?php _e('Select the output file type.', 'wordpress_smsir'); ?></p>
                </td>
            </tr>
            <tr>
                <td colspan="2"><input type="submit" class="button-primary" name="wps_export_subscribe" value="<?php _e('Export', 'wordpress_smsir'); ?>" /></td>
            </tr>
        </table>
        <h4><a href="<?php echo admin_url(); ?>admin.php?page=wordpress_smsir/subscribe"><?php _e('Back', 'wordpress_smsir'); ?></a></h4>
    </form>
</div>