<?php

/**
 * Different Versions Meta Links
 * 
 * PHP version 5.6.23 | 7.2.12
 * 
 * @category  PLugins
 * @package   Wordpress
 * @author    Pejman Kheyri <pejmankheyri@gmail.com>
 * @copyright 2018 The Ide Pardazan (ipe.ir) PHP Group. All rights reserved.
 * @license   https://sms.ir/ ipe license
 * @version   IPE: 3.0
 * @link      https://sms.ir/ Documentation of sms.ir Wordpress Plugin.
 */

/**
 * Add Meta links.
 *
 * @param string $links links
 * @param string $file  file
 * 
 * @return array
 */
function Wordpress_Smsir_Add_Meta_links($links, $file) 
{
    if ($file == 'wordpress_smsir/wordpress_smsir.php') {
        $links[] =  __('Upgrade to pro version', 'wordpress_smsir');
    }

    return $links;
}
add_filter('plugin_row_meta', 'Wordpress_Smsir_Add_Meta_links', 10, 2);